public class InfLoop {

    public static void main(String[] args) 
    {
    	double x = 1.0000000;
    	while (x != 0.0000) {
    		x -= 0.1000;
    		System.out.println(x);
    		if (x < 0.0)
    			System.exit(1);
    	}
    }
}